#include <cilk-internal.h>

void Cilk_touch_mem(void *buf, size_t len)
{
     volatile char *p;

     /* touch beginning and each intermediate page */
     for (p = buf; (void *) p < buf + len; p += Cilk_pagesize)
	  *p;

     /* touch end */
     p = buf + len - 1;
     *p;
}
